package com.css.simulation.resource.scheduler.infra.db.mysql.mapper;

import api.common.pojo.po.group.SimulationMageGroupPO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Select;

@Mapper
public interface SimulationMageGroupMapper {
    @Select("select id,group_name as groupName,software_path as softwarePath,controller_path as controllerPath,connector_path as connectorPath,group_description as groupDescription from simulation_mage_group where id = #{id} and deleted = 0")
    SimulationMageGroupPO selectSimulationMageGroupById(@Param("id") String id);
}
